<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Wed Nov 28 22:42:27 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
Uses of Interface org.apache.http.nio.NHttpClientIOTarget (HttpComponents Core 4.3-alpha1 API)
</TITLE>

<META NAME="date" CONTENT="2012-11-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Interface org.apache.http.nio.NHttpClientIOTarget (HttpComponents Core 4.3-alpha1 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../org/apache/http/nio/NHttpClientIOTarget.html" title="interface in org.apache.http.nio"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/nio//class-useNHttpClientIOTarget.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="NHttpClientIOTarget.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Interface<br>org.apache.http.nio.NHttpClientIOTarget</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../../org/apache/http/nio/NHttpClientIOTarget.html" title="interface in org.apache.http.nio">NHttpClientIOTarget</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.impl.nio"><B>org.apache.http.impl.nio</B></A></TD>
<TD>Default implementations for interfaces in
<A HREF="../../../../../org/apache/http/package-summary.html"><CODE>org.apache.http.nio</CODE></A>.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.impl.nio.ssl"><B>org.apache.http.impl.nio.ssl</B></A></TD>
<TD>Deprecated&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.impl.nio"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../org/apache/http/nio/NHttpClientIOTarget.html" title="interface in org.apache.http.nio">NHttpClientIOTarget</A> in <A HREF="../../../../../org/apache/http/impl/nio/package-summary.html">org.apache.http.impl.nio</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../../org/apache/http/impl/nio/package-summary.html">org.apache.http.impl.nio</A> that implement <A HREF="../../../../../org/apache/http/nio/NHttpClientIOTarget.html" title="interface in org.apache.http.nio">NHttpClientIOTarget</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnection.html" title="class in org.apache.http.impl.nio">DefaultNHttpClientConnection</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Default implementation of the <A HREF="../../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio"><CODE>NHttpClientConnection</CODE></A> interface.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/apache/http/impl/nio/package-summary.html">org.apache.http.impl.nio</A> that return <A HREF="../../../../../org/apache/http/nio/NHttpClientIOTarget.html" title="interface in org.apache.http.nio">NHttpClientIOTarget</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/nio/NHttpClientIOTarget.html" title="interface in org.apache.http.nio">NHttpClientIOTarget</A></CODE></FONT></TD>
<TD><CODE><B>DefaultClientIOEventDispatch.</B><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultClientIOEventDispatch.html#createConnection(org.apache.http.nio.reactor.IOSession)">createConnection</A></B>(<A HREF="../../../../../org/apache/http/nio/reactor/IOSession.html" title="interface in org.apache.http.nio.reactor">IOSession</A>&nbsp;session)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Creates an instance of <A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnection.html" title="class in org.apache.http.impl.nio"><CODE>DefaultNHttpClientConnection</CODE></A> based on the
 given <A HREF="../../../../../org/apache/http/nio/reactor/IOSession.html" title="interface in org.apache.http.nio.reactor"><CODE>IOSession</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/nio/NHttpClientIOTarget.html" title="interface in org.apache.http.nio">NHttpClientIOTarget</A></CODE></FONT></TD>
<TD><CODE><B>SSLClientIOEventDispatch.</B><B><A HREF="../../../../../org/apache/http/impl/nio/SSLClientIOEventDispatch.html#createConnection(org.apache.http.nio.reactor.IOSession)">createConnection</A></B>(<A HREF="../../../../../org/apache/http/nio/reactor/IOSession.html" title="interface in org.apache.http.nio.reactor">IOSession</A>&nbsp;session)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Creates an instance of <A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnection.html" title="class in org.apache.http.impl.nio"><CODE>DefaultNHttpClientConnection</CODE></A> based on the
 given SSL <A HREF="../../../../../org/apache/http/nio/reactor/IOSession.html" title="interface in org.apache.http.nio.reactor"><CODE>IOSession</CODE></A>.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/apache/http/impl/nio/package-summary.html">org.apache.http.impl.nio</A> with parameters of type <A HREF="../../../../../org/apache/http/nio/NHttpClientIOTarget.html" title="interface in org.apache.http.nio">NHttpClientIOTarget</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>DefaultClientIOEventDispatch.</B><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultClientIOEventDispatch.html#onClosed(org.apache.http.nio.NHttpClientIOTarget)">onClosed</A></B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientIOTarget.html" title="interface in org.apache.http.nio">NHttpClientIOTarget</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>DefaultClientIOEventDispatch.</B><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultClientIOEventDispatch.html#onConnected(org.apache.http.nio.NHttpClientIOTarget)">onConnected</A></B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientIOTarget.html" title="interface in org.apache.http.nio">NHttpClientIOTarget</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>DefaultClientIOEventDispatch.</B><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultClientIOEventDispatch.html#onException(org.apache.http.nio.NHttpClientIOTarget, java.io.IOException)">onException</A></B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientIOTarget.html" title="interface in org.apache.http.nio">NHttpClientIOTarget</A>&nbsp;conn,
            <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A>&nbsp;ex)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>DefaultClientIOEventDispatch.</B><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultClientIOEventDispatch.html#onInputReady(org.apache.http.nio.NHttpClientIOTarget)">onInputReady</A></B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientIOTarget.html" title="interface in org.apache.http.nio">NHttpClientIOTarget</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>DefaultClientIOEventDispatch.</B><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultClientIOEventDispatch.html#onOutputReady(org.apache.http.nio.NHttpClientIOTarget)">onOutputReady</A></B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientIOTarget.html" title="interface in org.apache.http.nio">NHttpClientIOTarget</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>DefaultClientIOEventDispatch.</B><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultClientIOEventDispatch.html#onTimeout(org.apache.http.nio.NHttpClientIOTarget)">onTimeout</A></B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientIOTarget.html" title="interface in org.apache.http.nio">NHttpClientIOTarget</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.impl.nio.ssl"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../org/apache/http/nio/NHttpClientIOTarget.html" title="interface in org.apache.http.nio">NHttpClientIOTarget</A> in <A HREF="../../../../../org/apache/http/impl/nio/ssl/package-summary.html">org.apache.http.impl.nio.ssl</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/apache/http/impl/nio/ssl/package-summary.html">org.apache.http.impl.nio.ssl</A> that return <A HREF="../../../../../org/apache/http/nio/NHttpClientIOTarget.html" title="interface in org.apache.http.nio">NHttpClientIOTarget</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/nio/NHttpClientIOTarget.html" title="interface in org.apache.http.nio">NHttpClientIOTarget</A></CODE></FONT></TD>
<TD><CODE><B>SSLClientIOEventDispatch.</B><B><A HREF="../../../../../org/apache/http/impl/nio/ssl/SSLClientIOEventDispatch.html#createConnection(org.apache.http.nio.reactor.IOSession)">createConnection</A></B>(<A HREF="../../../../../org/apache/http/nio/reactor/IOSession.html" title="interface in org.apache.http.nio.reactor">IOSession</A>&nbsp;session)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/nio/NHttpClientIOTarget.html" title="interface in org.apache.http.nio">NHttpClientIOTarget</A></CODE></FONT></TD>
<TD><CODE><B>SSLClientIOEventDispatch.</B><B><A HREF="../../../../../org/apache/http/impl/nio/ssl/SSLClientIOEventDispatch.html#createSSLConnection(org.apache.http.impl.nio.reactor.SSLIOSession)">createSSLConnection</A></B>(<A HREF="../../../../../org/apache/http/impl/nio/reactor/SSLIOSession.html" title="class in org.apache.http.impl.nio.reactor">SSLIOSession</A>&nbsp;ssliosession)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/apache/http/impl/nio/ssl/package-summary.html">org.apache.http.impl.nio.ssl</A> with parameters of type <A HREF="../../../../../org/apache/http/nio/NHttpClientIOTarget.html" title="interface in org.apache.http.nio">NHttpClientIOTarget</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>SSLClientIOEventDispatch.</B><B><A HREF="../../../../../org/apache/http/impl/nio/ssl/SSLClientIOEventDispatch.html#onConnected(org.apache.http.nio.NHttpClientIOTarget)">onConnected</A></B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientIOTarget.html" title="interface in org.apache.http.nio">NHttpClientIOTarget</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../org/apache/http/nio/NHttpClientIOTarget.html" title="interface in org.apache.http.nio"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/nio//class-useNHttpClientIOTarget.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="NHttpClientIOTarget.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 2005-2012 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
